Package org.eclipse.cdt.core.dom

# Class IASTServiceProvider.UnsupportedDialectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.cdt.core.dom.IASTServiceProvider.UnsupportedDialectException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  IASTServiceProvider

public static class IASTServiceProvider.UnsupportedDialectException extends Exception
This exception is thrown when there is not a service provider that can handle the request due to dialect mis-match.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedDialectException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

public static final long serialVersionUID

See Also:
  - Constant Field Values

## Constructor Details

### UnsupportedDialectException

public UnsupportedDialectException()